import { CompiledResult, VueCompiledResult } from "../type/compile";
export * from "./vue3.render";
export declare class Vue3 {
    constructor();
    static supportExtension: string[];
    /**
     * 编译vue3
     * 支持的文件为 vue js ts png jpg jpeg svg json woff woff2 ttf otf eot
     */
    static compile(files: Record<string, ArrayBuffer>, root: string, enableSourceMap?: boolean): Record<string, CompiledResult | VueCompiledResult>;
    static render(compiledJSON: Record<string, CompiledResult | VueCompiledResult>, root: string, 
    /**静态模块 */
    modules?: Record<string, any>, 
    /**模块缓存，第二次渲染直接用，可避免重复渲染 */
    moduleStore?: Record<string, any>): any;
}
